﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace C1Chart_CrossHair
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            c1Chart1.ChartGroups[0].ChartData.SeriesList.Clear();
            c1Chart1.ChartGroups[0].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[0].ChartType = C1.Win.C1Chart.Chart2DTypeEnum.XYPlot;
            c1Chart1.ChartGroups[1].ChartType = C1.Win.C1Chart.Chart2DTypeEnum.XYPlot;

            c1Chart1.ChartArea.AxisX.AutoMin = false;
            c1Chart1.ChartArea.AxisX.AutoMax = false;
            c1Chart1.ChartArea.AxisY.AutoMin = false;
            c1Chart1.ChartArea.AxisY.AutoMax = false;

            c1Chart1.ChartArea.AxisX.Min = 0.0;
            c1Chart1.ChartArea.AxisX.Max = 5.0;
            c1Chart1.ChartArea.AxisY.Min = 0.0;
            c1Chart1.ChartArea.AxisY.Max = 26.0;
            c1Chart1.MouseMove += c1Chart1_MouseMove;

            //Add Series
            c1Chart1.ChartGroups[1].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[1].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[1].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[1].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[1].ChartData.SeriesList.AddNewSeries();

            //Populate X Values
            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].AutoEnumerate = true;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].AutoEnumerate = true;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].AutoEnumerate = true;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].AutoEnumerate = true;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].AutoEnumerate = true;

            //Populate Y Values
            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].Y.CopyDataIn(new double[] { 12, 19, 15, 31, 44, 17 });
            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].Y.CopyDataIn(new double[] { 22, 14, 27, 35, 51, 22 });
            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].Y.CopyDataIn(new double[] { 16, 17, 22, 33, 20, 33 });
            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].Y.CopyDataIn(new double[] { 21, 12, 13, 16, 17, 51 });
            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].Y.CopyDataIn(new double[] { 11, 41, 25, 13, 24, 11 });

            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.Diamond;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.InvertedTri;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.Star;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.Box;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.Dot;

            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].SymbolStyle.Color = Color.Orange;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].LineStyle.Color = Color.Red;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[0].LineStyle.Thickness = 2;

            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].SymbolStyle.Color = Color.Blue;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].LineStyle.Color = Color.BlueViolet;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[1].LineStyle.Thickness = 2;

            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].SymbolStyle.Color = Color.LightPink;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].LineStyle.Color = Color.Purple;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[2].LineStyle.Thickness = 2;

            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].SymbolStyle.Color = Color.SeaGreen;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].LineStyle.Color = Color.LightGreen;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[3].LineStyle.Thickness = 2;

            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].SymbolStyle.Color = Color.DarkCyan;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].LineStyle.Color = Color.Cyan;
            c1Chart1.ChartGroups[1].ChartData.SeriesList[4].LineStyle.Thickness = 2;

            c1Chart1.ChartArea.AxisY2.Visible = false;
        }
        int x = 0, y = 0;
        void c1Chart1_MouseMove(object sender, MouseEventArgs e)
        {
            x = e.X;
            y = e.Y;
            float X = 0f, Y = 0f;

            //Add series
            c1Chart1.ChartGroups[0].ChartData.SeriesList.Clear();
            c1Chart1.ChartGroups[0].ChartData.SeriesList.AddNewSeries();
            c1Chart1.ChartGroups[0].ChartData.SeriesList.AddNewSeries();

            //Populate the series with X and Y Values
            c1Chart1.ChartGroups[0].CoordToDataCoord(x, y, ref X, ref Y);
            double[] xSerHorz = new double[3] { (double)c1Chart1.ChartArea.AxisX.Min, (double)X, (double)c1Chart1.ChartArea.AxisX.Max };
            double[] ySerHorz = new double[3] { (double)Y, (double)Y, (double)Y };
            double[] xSerVert = new double[3] { (double)X, (double)X, (double)X };
            double[] ySerVert = new double[3] { (double)c1Chart1.ChartArea.AxisY.Min, (double)Y, (double)c1Chart1.ChartArea.AxisY.Max };
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].X.CopyDataIn(xSerHorz);
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].Y.CopyDataIn(ySerHorz);
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].X.CopyDataIn(xSerVert);
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].Y.CopyDataIn(ySerVert);

            //Style the Series
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.DiagCross;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].SymbolStyle.Color = Color.Orange;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].SymbolStyle.OutlineColor = Color.Orange;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].SymbolStyle.Size = 3;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].LineStyle.Color = Color.Red;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[0].LineStyle.Thickness = 2;

            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].SymbolStyle.Shape = C1.Win.C1Chart.SymbolShapeEnum.DiagCross;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].SymbolStyle.Color = Color.Orange;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].SymbolStyle.OutlineColor = Color.Orange;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].SymbolStyle.Size = 3;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].LineStyle.Color = Color.Red;
            c1Chart1.ChartGroups[0].ChartData.SeriesList[1].LineStyle.Thickness = 2;


            c1Chart1.ToolTip.Enabled = true;
            c1Chart1.Visible = true;

            //Attach a Chart Label with the Coordinate to display the value of the point under the cross-hair cursor
            c1Chart1.ChartLabels.LabelsCollection.AddNewLabel();
            c1Chart1.ChartLabels.LabelsCollection[0].AttachMethod = C1.Win.C1Chart.AttachMethodEnum.Coordinate;
            c1Chart1.ChartLabels.LabelsCollection[0].AttachMethodData.X = x;
            c1Chart1.ChartLabels.LabelsCollection[0].AttachMethodData.Y = y - 8;
            c1Chart1.ChartLabels.LabelsCollection[0].Text = "X= " + X.ToString() + ", Y= " + Y.ToString();
            c1Chart1.ChartLabels.LabelsCollection[0].Visible = true;
            c1Chart1.ChartLabels.DefaultLabelStyle.BackColor = Color.Red;
            
        }
    }
}
